This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1019763 - Fix Datasource setup screen for XA IBM DB2
Fix Datasource setup screen for XA IBM DB2
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR2
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 07:12 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-16 07:12:51 EDT
Description of problem:
Fields for Recovery User and Recovery Pass are missing once user choose to install ibmdb2 XA datasource.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER5

How reproducible:
always

Steps to Reproduce:
 1. Run gui installation, use default values untill Post-install Configuration screen.
 2. Select to install JDBC driver and Datasource
 3. Choose IBM DB2 on JDBC Driver setup screen
 4. Select ibmbd2db XA as Datasource type

Actual results:
 New Database name field will appear.

Expected results:
 Recovery user and Recovery password fields will appear.

Additional info:
 For expected result one can compare Datasource setup screen for this driver vendor with other ones.
Comment 1 Francisco Canas 2013-10-23 13:52:50 EDT
The specifics for which XA properties are needed in the case of specific vendors isn't entirely clear. So far we have been using the examples from the customer portal documentation as a guide to which of these fields are required for XA properties:

https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6/html/Administration_and_Configuration_Guide/Example_IBM_DB2_XA_Datasource1.html

Please let me know if you have a more comprehensive spec.

For now, I've added the recovery user and password fields for IBM XA datasource so that it's consistent with other vendors.

See:
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=2926a54882e2c7072089bb40c0c658bd2ad72ef6
Comment 2 Petr Kremensky 2013-10-24 01:44:21 EDT
Hi,
I am using documentation from:
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Administration_and_Configuration_Guide/chap-Datasource_Management.html

, but I found some mistakes here too, so it isn't 100% reliable.

I'll ask some people around here who are testing databases to look more into it as I may still miss something.
Comment 3 Petr Kremensky 2013-11-01 08:20:41 EDT
Recovery user and Recovery password options don't appear once I use -console installer. Gui is fine now.
Comment 4 Francisco Canas 2013-11-01 11:52:53 EDT
My oversight. I've gone and also added the recovery user and password fields to the console installer.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=02d1012efb849ec48a01956cc906ce29ba151151
Comment 5 Petr Kremensky 2013-11-14 09:31:18 EST
The option is here, but recovery user and password are not propagated to configuration.

"--recovery-username=$user --recovery-password=$password" are missing in CLI command for IBM XA datasource creation.
Comment 6 Francisco Canas 2013-11-14 16:08:21 EST
Modified the ServerCommands to add the missing properties to IBM XA datasource creation.

See: 
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=25b18b6f8e7051b4a7a56e370da33a3d7ec70cbf
Comment 7 Petr Kremensky 2013-11-19 07:19:26 EST
Verified on EAP 6.2.0.CR2 installer, recovery options are now correctly handled by both gui and console installer.

Note You need to log in before you can comment on or make changes to this bug.